Subject: [manet] questions related to section 9.1 of maodv draft

From: "Youngmin Kim" <[email-masked]>
Date: Mon, 13 Dec 2004 20:48:11 +0900

Hello ~~
I have some questions related to section 9.1 of maodv draft

draft-ietf-manet-maodv-00.txt
>9.1. Maintaining Multicast Tree Utilization Records
>   For each multicast tree to which a node belongs, either because
>   it is a member of the group or because it is a router for the
>   multicast tree, the node maintains a list of next hops -- i.e., those
>   1-hop neighbors that are likewise a part of the multicast tree.
>   This list of next hops is used for forwarding messages received
>   for the multicast group.  
>   A node forwards a multicast message to every such next hop, 
>   except that neighbor from which the message arrived.  
Does a node use "unicast" to forward a multicast message to every such next
hop?

>   If there are multiple next hops, the forwarding operation
>   MAY be performed by broadcasting the multicast packet to the node's
>   neighbors; only the neighbors that belong to the multicast tree
>   and have not already received the packet continue to forward the
>   multicast packet.
How can a node send the multicast packet to only the neighbors that belong
to the multicast tree and have not already received the packet continue to
forward the multicast packet? 

Thank you!!

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet